#### wc 命令，用于统计

```
wc index.php #依次输出 行数 字数 字节数 文件名

wc -l index.php #统计文件行数

wc -w index.php #统计文件字数

wc -c index.php #统计字节数
```

#### last 命令

```
last #显示最近登录的用户列表

last -6 #显示最近登录的 6 条登录信息

last -u nick #显示指定用户 nick 的登录信息
```

#### lastlog 命令

```
lastlog #显示最后登录的用户信息，内容为 用户名 终端 ip地址 登录时间，如果没有登录信息登录时间为 **Never logged in**

内容如下

tss                                        **Never logged in**
postfix                                    **Never logged in**
sshd                                       **Never logged in**
ntp                                        **Never logged in**
tcpdump                                    **Never logged in**
nscd                                       **Never logged in**
nick             pts/0    x.x.x.x   Sun May  6 16:06:39 +0800 2018


lastlog -t 2 #指定 2 天内的登录信息

lastlog -u nick #指定 nick 用户的登录信息
```

#### lastb 命令

```
sudo lastb #显示最近登录失败的用户，需要 root 权限

lastb -2 #显示 2 天内登录失败的用户
```

#### date 命令

```
date #输出系统时间与日期，世界标准时间（UTC）格式 Sun May  6 16:19:05 CST 2018

date +"%Y-%m-%d" #输出年月日

date +"%Y-%m-%d %H:%M.%S" #输出年月日时分秒
```

#### history 命令

```
history #显示执行过的命令，以列表显示

history 5 #只显示最近执行过的 5 条命令

history -c #清除执行过的命令
```

#### fc 命令

```
fc -l #显示执行过的命令

fc -l 2 #显示最近执行的 2 条命令

fc -ln #显示执行过的命令，不显示编号

fc 588 #默认使用 vim 打开，编辑编号为 588 的命令，如果有修改，保存退出之后自动执行
``` 

#### echo 命令

```
echo hello linux #输出字符串

echo $my_name #输出变量值
```

#### time 命令

```
time ls #统计执行命令的时间

real	0m0.002s #命令执行开始到结束的时间
user	0m0.002s #进程花费在用户模式中的时间
sys	 0m0.000s #在内核模式中的时间

/usr/bin/time -o output.log ls #将执行时间写入文件日志

/usr/bin/time -ao outfile.txt ls #以追加的形式将执行时间写入日志文件
```

补充：`-a` 选项必须在 `-o` 前面，否则执行不成功

#### login 命令

```
login nick #当前用户切换到 nick 登录
```

#### logout 命令

```
logout #以当前用户退出登录
```

#### exit 命令

```
exit #退出登录或登录当前 shell 脚本
```

#### clear 命令

```
clear #清除屏幕内容
```

#### alias 命令

```
alias gs="git status" #给  git status 起别名为 gs，仅在当前环境生效，关闭终端或退出登录以后无效，一般配置在当前 shell 的配置文件中
```

#### unalias 命令

```
unadlias gs #取消命令别名
```

#### type 命令

```
type pwd #查看命令的类型
```


#### w 命令

```
w #查看当前登录系统的用户
```

#### mesg 命令

```
mesg y #允许终端接收信息

mesg n #禁止终端接收信息
```

#### write 命令

```
write root #向 `root` 用户发送消息，实时的，用户必须登录服务器状态并且 `mesg` 设置为 `y` 才可以接收到，输入信息之后按 `control +d`  
```

#### wall 命令

```
wall #向所有在线的用户发送消息，输入信息之后按 `control +d` 发送，`mesg` 设置为 `y` 才可以接收到
```

#### sort 命令

```

```


#### join 命令

```

```

